### Method

# EDataBook DataBookView notify_progress

since: 3.2

#### Declaration [src]

    void
    e_data_book_view_notify_progress (
      EDataBookView* view,
      guint percent,
      const gchar* message
    )

#### Description [src]

Provides listeners with a human-readable text describing the current backend operation. This can be used for progress reporting.

Available since: 3.2

#### Parameters

`percent`

  Type: `guint`

  Percent done; use -1 when not available.

`message`

  Type: `const gchar*`

  A text message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.